# Type alias AsObject

AsObject: {
chatMessage?: ChatMessage.AsObject;
id: string;
message: string;
timestamp: number;
title: string;
trade?: TradeInfo.AsObject;
type: NotificationType;
}

#### Type declaration

- ##### `Optional` chatMessage?: ChatMessage.AsObject

- ##### id: string

- ##### message: string

- ##### timestamp: number

- ##### title: string

- ##### `Optional` trade?: TradeInfo.AsObject

- ##### type: NotificationType

- Defined in src/protobuf/grpc_pb.d.ts:717

Generated using TypeDoc